[Launch]
ProgramExecutable=Krita64\bin\krita.exe
WorkingDirectory=%PAL:DataDir%
DirectoryMoveOK=yes
SupportsUNC=yes
MinOS=7

[DirectoriesMove]
krita=%APPDATA%\krita
kritalocal=%LOCALAPPDATA%\krita

[FilesMove]
klanguageoverridesrc=%LOCALAPPDATA%
kritalocalappdata\kritarc=%LOCALAPPDATA%
kritalocalappdata\emaildefaults=%LOCALAPPDATA%
kritalocalappdata\kritadisplayrc=%LOCALAPPDATA%
kritalocalappdata\kritashortcutsrc=%LOCALAPPDATA%
kritalocalappdata\krita-sysinfo.log=%LOCALAPPDATA%
kritalocalappdata\krita.log=%LOCALAPPDATA%

[Language]
Base=%PortableApps.comLocaleglibc%
CheckIfExists=%PAL:AppDir%\Krita64\bin\locale\%PAL:LanguageCustom%\*.*
DefaultIfNotExists=en_US

[LanguageFile]
Type=ConfigRead
File=%PAL:DataDir%\klanguageoverridesrc
Entry="krita=@ByteArray("
TrimRight=)

[LanguageStrings]
es_ES=es

[FileWrite1]
Type=ConfigWrite
File=%PAL:DataDir%\klanguageoverridesrc
Entry="krita=@ByteArray("
Value=%PAL:LanguageCustom%)

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\kritalocalappdata\kritarc
Find=%PAL:LastPortableAppsBaseDir:ForwardSlash%/
Replace=%PAL:PortableAppsBaseDir:ForwardSlash%/

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\kritalocalappdata\kritarc
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:ForwardSlash%/
Replace=%PAL:Drive%%PAL:PackagePartialDir:ForwardSlash%/

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\kritalocalappdata\kritarc
Find=%PAL:LastDrive%/
Replace=%PAL:Drive%/

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\kritalocalappdata\kritarc
Find=DEFAULTSAVELOCATION
Replace=%PortableApps.comDocuments:ForwardSlash%/
